Bug 870325 - multilib errors
multilib errors
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libcanberra (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-10-26 03:41 EDT by Matthias Runge
Modified: 2012-11-22 14:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 14:32:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-10-26 03:41:28 EDT
Description of problem:

[root@localhost ~]# yum install libcanberra-gtk2 
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package libcanberra-gtk2.x86_64 0:0.29-4.fc18 will be installed
--> Processing Dependency: libcanberra-gtk3 = 0.29-4.fc18 for package: libcanberra-gtk2-0.29-4.fc18.x86_64
--> Processing Dependency: libcanberra = 0.29-4.fc18 for package: libcanberra-gtk2-0.29-4.fc18.x86_64
--> Running transaction check
---> Package libcanberra.i686 0:0.29-4.fc18 will be installed
--> Processing Dependency: libxml2.so.2 for package: libcanberra-0.29-4.fc18.i686
....
snip
...
and finally:

       Protected multilib versions: libcanberra-gtk3-0.29-4.fc18.i686 != libcanberra-gtk3-0.29-5.fc18.x86_64
Error: Protected multilib versions: libcanberra-0.29-4.fc18.i686 != libcanberra-0.29-5.fc18.x86_64




from the spec:
%package gtk2
Summary: Gtk+ 2.x Bindings for libcanberra
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
# Some other stuff is included in the gtk3 package, so always pull that in.
Requires: %{name}-gtk3 = %{version}-%{release}

I thought, requirements for arch dependent packages also require {?_isa}
https://fedoraproject.org/wiki/Packaging:Guidelines#Requires
Comment 1 Fedora Update System 2012-10-30 11:38:58 EDT
libcanberra-0.30-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libcanberra-0.30-2.fc18
Comment 2 Fedora Update System 2012-10-30 16:13:46 EDT
Package libcanberra-0.30-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libcanberra-0.30-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17245/libcanberra-0.30-2.fc18
then log in and leave karma (feedback).
Comment 3 Adam Williamson 2012-11-22 14:32:08 EST
The update was pushed stable and mrunge reported in the update comments that this is fixed. (weeding the final blocker list)

Note You need to log in before you can comment on or make changes to this bug.